Index: prototipo/static/js/functions/CheckSign/CheckSignPDF.js
===================================================================
--- prototipo/static/js/functions/CheckSign/CheckSignPDF.js	(revision f1ec144af69bf8cd85a53e7443068bee7e755eea)
+++ 	(revision )
@@ -1,65 +1,0 @@
-
-
-
-
-
-// Primer paso (Subir el documento al servidor)
-function VerificarDocumentServer(formDat){         
-    $.ajax({
-        url: "https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/firmados",
-        type: "post",
-        dataType: "json",
-        data: formDat,
-        cache: false,
-        contentType: false,
-		processData: false,
-		xhrFields: {withCredentials: true},
-		headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
-		success: function(response) {
-
-            INFO_CHECK = SerealizeMyJson(response);
-
-			CONT_VERIFIC += 1;
-			if (CONT_VERIFIC == 1){
-				INFO_DATATABLE_VERIFICAR = DataTableVerificar(response);	
-			}
-			if (CONT_VERIFIC > 1){
-				INFO_DATATABLE_VERIFICAR.destroy();
-				INFO_DATATABLE_VERIFICAR = DataTableVerificar(response);	
-			}	
-			
-			
-    	},
-     	error: function(response) {
-     		//Que se ejecuta cuando finalice la petición de con error
-			$("#respuesta").html('Error, al subir el archivo al servidor...!!!');
-     		alert("ocurrio un error, al subir el archivo al servidor")
-		}
-    });
-
-}
-
-
-
-
-$("#Form-check-pdf").on('submit', function() {
-	event.preventDefault();
-
-	var formDat = new FormData(); 
-    formDat.append("upload", $("#file-check-sign-pdf")[0].files[0]);	
-
-	VerificarDocumentServer(formDat);
-	
-});
-
-
-
-$("#button_CheckSingPDF").on('click', function() {
-	$("#file-check-sign-pdf").trigger('click');
-});
-
-
-
-$("#file-check-sign-pdf").on('change', function() {
-	$('#check_sign').show();
-});
Index: prototipo/static/js/functions/CheckSign/CheckSignPDFandBDOC.js
===================================================================
--- prototipo/static/js/functions/CheckSign/CheckSignPDFandBDOC.js	(revision 025e022ce78a448e7bb37ab6986e69662cb6da4b)
+++ prototipo/static/js/functions/CheckSign/CheckSignPDFandBDOC.js	(revision 025e022ce78a448e7bb37ab6986e69662cb6da4b)
@@ -0,0 +1,102 @@
+
+
+function SerealizeMyJsonBDOC(data){
+  for (var i = 0; i < data.signatures.length; i++) {
+      data.signatures[i].isValid = True_False(data.signatures[i].isValid);
+      data.signatures[i].signerCertificateIsValid = True_False(data.signatures[i].signerCertificateIsValid);
+  }
+  return data;
+}
+
+
+function VerificarDocumentServer(formDat, Extension){         
+    $.ajax({
+        url: "https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/firmados",
+        type: "post",
+        dataType: "json",
+        data: formDat,
+        cache: false,
+        contentType: false,
+    		processData: false,
+    		xhrFields: {withCredentials: true},
+    		headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
+    		success: function(response) {
+
+            if (response.signatures){
+                  $("div#Error").hide();
+                  if (Extension == "PDF") {
+                        $("div#myCkeckBDOC_wrapper").hide();
+                        $("div#myCkeckPDF_wrapper").show();
+          	            INFO_CHECK = SerealizeMyJson(response);            	
+                				CONT_VERIFIC += 1;
+                				if (CONT_VERIFIC == 1){
+                					INFO_DATATABLE_VERIFICAR = DataTableVerificarPDF(response);
+                				}
+                				if (CONT_VERIFIC > 1){
+                					INFO_DATATABLE_VERIFICAR.destroy();
+                					INFO_DATATABLE_VERIFICAR = DataTableVerificarPDF(response);	
+                				}					            
+                  }
+                  else{
+      				        $("div#myCkeckPDF_wrapper").hide();
+                      $("div#myCkeckBDOC_wrapper").show();
+                      INFO_CHECK_BDOC = SerealizeMyJsonBDOC(response);
+                      CONT_VERIFIC_BDOC += 1;
+                      if (CONT_VERIFIC_BDOC == 1){
+                          INFO_DATATABLE_VERIFICAR_BDOC = DataTableVerificarBDOC(response);
+                      }
+                      if (CONT_VERIFIC_BDOC > 1){
+                          INFO_DATATABLE_VERIFICAR_BDOC.destroy();
+                          INFO_DATATABLE_VERIFICAR_BDOC = DataTableVerificarBDOC(response); 
+                      }                                     
+                      
+                  }
+
+            }
+            else{
+                $("div#myCkeckBDOC_wrapper").hide();
+                $("div#myCkeckPDF_wrapper").hide();
+                $("div#Error").show();
+                if (response.error) {
+                    $("div#Mensaje").html("<h1>Extensión no soportada, verifique el archivo.</h1>");
+                }
+                else{
+                    $("div#Mensaje").html("<h1>No posee información de la firma electronica.</h1>");
+                }      
+            }
+    	},
+     	error: function(response) {
+     		//Que se ejecuta cuando finalice la petición de con error
+			$("#respuesta").html('Error, al subir el archivo al servidor...!!!');
+     		alert("ocurrio un error, al subir el archivo al servidor")
+		}
+    });
+
+}
+
+
+$("#Form-check-pdf").on('submit', function(event) {
+	event.preventDefault();
+
+	var formDat = new FormData(); 
+    formDat.append("upload", $("#file-check-sign-pdf")[0].files[0]);	
+
+    if(['application/pdf'].indexOf($("#file-check-sign-pdf").get(0).files[0].type) == 0) {
+        VerificarDocumentServer(formDat,"PDF");
+        //return;
+    }
+    else{
+    	   VerificarDocumentServer(formDat,"BDOC");
+    }
+	
+});
+
+
+$("#button_CheckSingPDF").on('click', function() {
+	$("#file-check-sign-pdf").trigger('click');
+});
+
+
+$("#file-check-sign-pdf").on('change', function() {
+	$('#check_sign').show();
+});
Index: prototipo/static/js/functions/CheckSign/myInfoDataTableCheck.js
===================================================================
--- prototipo/static/js/functions/CheckSign/myInfoDataTableCheck.js	(revision f1ec144af69bf8cd85a53e7443068bee7e755eea)
+++ 	(revision )
@@ -1,254 +1,0 @@
-
-function InfoContentVerificar(id){
-  
-  for (var i = 0; i < INFO_CHECK.signatures.length; i++) {
-    if (parseInt(INFO_CHECK.signatures[i]['documentRevision']) == parseInt(id)){
-
-            var html1 = "";  
-
-            html1 += '<font style="font-size: 14pt">';
-            html1 += '<table  class="table table-hover" width="100%" id="data" >';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left" width="700"><b>Nombre del firmante:</b> </td>';
-            html1 += '<td style="text-align: left" width="500"><span> '+INFO_CHECK.signatures[i]['nameOfTheSigner']+'</span></td>';
-            html1 += '</tr>';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left"><b>Fecha en que se realiza la firma:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['signedOn']+'</span></td>';
-            html1 += '</tr>';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left"><b>Chequea la integridad de la firma:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['integrityCheck']+'</span></td>';
-            html1 += '</tr>';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left"><b>El certificado todavía está válido:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['signerCertificateStillValid']+'</span></td>';
-            html1 += '</tr>';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left"><b>Fecha de fin de validez del certificado:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['signerCertificateValidFrom']+'</span></td>';
-            html1 += '</tr>';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left"><b>Fecha de fin de validez del certificado:</b> </td>';
-            html1 += '<td style="text-align: left"><span>' +INFO_CHECK.signatures[i]['signerCertificateValidTo']+'</span></td>';
-            html1 += '</tr>'; 
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left" ><b>El certificado es válido en el momento de la firma:</b> </td>';
-            html1 += '<td style="text-align: left" ><span> '+INFO_CHECK.signatures[i]['signerCertificateValidAtTimeOfSigning']+'</span></td>';
-            html1 += '</tr>'; 
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left" ><b>Tipo de firma de archivo PDF:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['signatureType']+'</span></td>';
-            html1 += '</tr>';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left"><b>Estampilla de tiempo:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['timeStamp']+'</span></td>';
-            html1 += '</tr>';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left"><b>Razón de la firma:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['reason']+'</span></td>';
-            html1 += '</tr>';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left"><b>Ubicación donde se realiza la firma:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['location']+'</span></td>';
-            html1 += '</tr>';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left"><b>Nombre alternativo del firmante:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['alternativeNameOfTheSigner']+'</span></td>';
-            html1 += '</tr>';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left"><b>La firma abarca todo el documento PDF:</b> </td>';
-            html1 += '<td style="text-align: left"><span>' +INFO_CHECK.signatures[i]['signatureCoversWholeDocument']+'</span></td>';
-            html1 += '</tr>'; 
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left" ><b>Tipo de subfiltro: /adbe.pkcs7.sha1, /adbe.pkcs7.detached:</b> </td>';
-            html1 += '<td style="text-align: left" ><span> '+INFO_CHECK.signatures[i]['filterSubtype']+'</span></td>';
-            html1 += '</tr>';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left"><b>Sujeto firmante:</b> </td>';
-            html1 += '<td style="text-align: left"><span><font style="font-size: 8pt">' +INFO_CHECK.signatures[i]['signerCertificateSubject']+'</font></span></td>';
-            html1 += '</tr>';
-            html1 += '<td style="text-align: left" ><b>Algoritmo de cifrado:</b> </td>';
-            html1 += '<td style="text-align: left" ><span> '+INFO_CHECK.signatures[i]['encryptionAlgorithm']+'</span></td>';
-            html1 += '</tr>'; 
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left" ><b>Servicio de estampillado de tiempo:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['timeStampService']+'</span></td>';
-            html1 += '</tr>';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left"><b>Algoritmo hash (reseña):</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['digestAlgorithm']+'</span></td>';
-            html1 += '</tr>';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left"><b>Certificado verificado contra el repositorio de certificados confiables:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['certificatesVerifiedAgainstTheKeyStore']+'</span></td>';
-            html1 += '</tr>';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left"><b>Número de revisión del documento PDF:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['documentRevision']+'</span></td>';
-            html1 += '</tr>';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left"><b>Número total de revisiones del documento PDF:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['totalDocumentRevisions']+'</span></td>';
-            html1 += '</tr>';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left"><b>Información de contacto del firmante:</b> </td>';
-            html1 += '<td style="text-align: left"><span>' +INFO_CHECK.signatures[i]['contactInfo']+'</span></td>';
-            html1 += '</tr>'; 
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left" ><b>Estampilla de tiempo verificada:</b> </td>';
-            html1 += '<td style="text-align: left" ><span> '+INFO_CHECK.signatures[i]['timeStampVerified']+'</span></td>';
-            html1 += '</tr>';
-            html1 += '<tr>';
-            html1 += '<td style="text-align: left"><b>Emisor del certificado firmante:</b> </td>';
-            html1 += '<td style="text-align: left"><span><font style="font-size: 8pt">' +INFO_CHECK.signatures[i]['signerCertificateIssuer']+'</font></span></td>';
-            html1 += '</tr>';;
-            html1 += '</table>';
-            html1 += '</font>';
-
-            $('div#Dialogo_Check-table').append(html1); 
-    }
-  }
-}
-
-function Dialog_Verificar(id){
-   document.getElementById("Dialogo_Check").innerHTML = '\
-    <style>\
-     .modal .modal-dialog { width: 80%; height: 80%, };\
-    </style>\
-       <div id="myModalVerificar" class="modal fade" role="dialog">\
-       <div class="modal-dialog">\
-         <div class="modal-content">\
-           <div id = "title" class="modal-header">\
-             <!--<button type="button" class="close" data-dismiss="modal">&times;</button>-->\
-             <h4 class="modal-title text-primary"><center>Información de la Sign('+id+')</center></h4>\
-           </div>\
-           <div id = "body" class="modal-body">\
-             <br>\
-             <div id="Dialogo_Check-table"></div>\
-            </div>\
-            <div class="modal-footer">\
-              <button type="button" id="informacion" data-dismiss="modal">Close</button>\
-            </div>\
-          </div>\
-        </div>\
-    </div>';
-
-    InfoContentVerificar(id);
-  
-}
-
-
-function DataTableVerificar(response){
-  
-    	var table = $('#myckeckJson').DataTable({                          
-           language: {
-              "lengthMenu": "Mostrar _MENU_ registros",
-              "zeroRecords": "No hay resultados - Disculpe",
-              "info": "Mostrando pagina _PAGE_ de _PAGES_",
-              "search": "Buscar:", 
-              "infoEmpty": "No records available",
-              "infoFiltered": "(filtered from _MAX_ total records)"
-           },
-           columnDefs: [
-              {"className": "dt-center", "targets": "_all"}
-           ],                       
-           order: [[ 1, 'desc' ]],       
-           data: response.signatures,
-           columns: [
-              {title: "Nombre del firmante", data: "nameOfTheSigner"  },
-              {title: "Fecha en que se realiza la firma", data: "signedOn"},         
-              {title: "Chequea la integridad de la firma", data: "integrityCheck"},
-              {title: "El certificado todavía está válido", data: "signerCertificateStillValid"},
-              {title: "Fecha de inicio de validez del certificado", data: "signerCertificateValidFrom"},                        
-              {title: "Fecha de fin de validez del certificado", data: "signerCertificateValidTo"},
-              {title: "El certificado es válido en el momento de la firma", data: "signerCertificateValidAtTimeOfSigning"},                
-              {title: "Tipo de firma de archivo PDF", data: "signatureType"},
-              {title: "Estampilla de tiempo", data: "timeStamp"},
-              {title: " Razón de la firma", data: "reason"},
-              {title: "Ubicación donde se realiza la firma", data: "location"},
-              {title: "Nombre alternativo del firmante", data: "alternativeNameOfTheSigner"},
-              {title: "La firma abarca todo el documento PDF", data: "signatureCoversWholeDocument"},
-              {title: "Tipo de subfiltro: /adbe.pkcs7.sha1, /adbe.pkcs7.detached", data: "filterSubtype"},
-              {title: "Sujeto firmante", data: "signerCertificateSubject"},
-              {title: "Algoritmo de cifrado", data: "encryptionAlgorithm"},
-              {title: "Servicio de estampillado de tiempo", data: "timeStampService"},
-              {title: "Algoritmo hash (reseña)", data: "digestAlgorithm"},
-              {title: "Certificado verificado contra el repositorio de certificados confiables", data: "certificatesVerifiedAgainstTheKeyStore"},
-              {title: "Número de revisión del documento PDF", data: "documentRevision"},
-              {title: "Número total de revisiones del documento PDF", data: "totalDocumentRevisions"},
-              {title: "Información de contacto del firmante", data: "contactInfo", style:"width: 2px;"},
-              {title: "Estampilla de tiempo verificada", data: "timeStampVerified"},
-              {title: "Emisor del certificado firmante", data: "signerCertificateIssuer"},
-              {title:"Información", data: function(event){
-                                              return '<button id="informacion" type="input" class="btn btn-success btn-sm" data-toggle="modal" data-target="#myModalVerificar" onclick="javascript:Dialog_Verificar('+event.documentRevision+')">Info(<font color="red">'+event.documentRevision+'</font>)</button>';
-                                         } 
-              }
-           ],                           
-          dom: 'Bfrtip',
-          columnDefs: [
-              {
-                  "targets": [ 2,3,4,5,6,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23 ],
-                  "visible": false,
-                  //"searchable": false
-              },
-              
-           ],                           
-           buttons: [
-                {
-                    extend:    'pageLength',
-                    text:      'Mostrar Filas', 
-                    titleAttr: 'Mostrar Filas',
-                },
-                {
-                    extend:    'print',
-                    text:      'Imprimir',
-                    title:     'Contenido de la Firma',
-                    message:   'Datos de la Firma',
-                    titleAttr: 'Imprimir',
-                    exportOptions: {
-                      columns: [ 0,1,2,3,4,5,6,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23]
-                    } 
-                },
-                {
-                    extend:    'excelHtml5',
-                    text:      'XLXS',
-                    title:     'Contenido de la Firma',
-                    titleAttr: 'Excel',
-                    message: 'Datos de la Firma',
-                    exportOptions: {
-                      columns: [ 0,1,2,3,4,5,6,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23]
-                    }
-                },
-                {
-                    extend:    'csvHtml5',
-                    text:      'CSV',
-                    title:     'Contenido de la Firma',
-                    titleAttr: 'CSV',
-                    exportOptions: {
-                      columns: [ 0,1,2,3,4,5,6,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23]
-                    }
-                },
-                {
-                    extend:    'pdfHtml5',
-                    text:      'PDF',
-                    titleAttr: 'PDF',
-                    title:     'Contenido de la Firma',                    
-                    download: 'open',
-                    customize: function (doc){
-                       doc.defaultStyle.fontSize = 3;
-                       doc.styles.tableHeader.fontSize = 4;
-                       doc.styles.tableHeader.fillColor = "#0085a1";
-                    },
-                    //orientation: 'landscape',
-                    pageSize: 'A3',
-                    exportOptions: {
-                      columns: [ 0,1,2,3,4,5,6,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23]
-                    
-                    }
-                }                
-          ]           
-      });
-    return table;
-
-}
Index: prototipo/static/js/functions/CheckSign/myInfoDataTableCheckBDOC.js
===================================================================
--- prototipo/static/js/functions/CheckSign/myInfoDataTableCheckBDOC.js	(revision 025e022ce78a448e7bb37ab6986e69662cb6da4b)
+++ prototipo/static/js/functions/CheckSign/myInfoDataTableCheckBDOC.js	(revision 025e022ce78a448e7bb37ab6986e69662cb6da4b)
@@ -0,0 +1,244 @@
+
+function InfoContentVerificarBDOC(id){
+  
+
+  for (var i = 0; i < INFO_CHECK_BDOC.signatures.length; i++) {
+    if (INFO_CHECK_BDOC.signatures[i]['signatureId'] == ("S"+id)){
+
+            var html1 = "";  
+
+            html1 += '<font style="font-size: 14pt">';
+            html1 += '<table  class="table table-hover" width="100%" id="data" >';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" width="700"><b>Nombre del firmante:</b> </td>';
+            html1 += '<td style="text-align: left" width="500"><span> <font style="font-size: 10pt">'+INFO_CHECK_BDOC.signatures[i]['signerCertificateSubjectName']+'</font></span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Fecha y hora de la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signatureSigningTime']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Firma válida:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['isValid']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>El certificado todavía está válido:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signerCertificateIsValid']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Código postal:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+(INFO_CHECK_BDOC.signatures[i]['signaturePostalCode']?INFO_CHECK_BDOC.signatures[i]['signaturePostalCode']:"Null")+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Serial del certificado del firmante:</b> </td>';
+            html1 += '<td style="text-align: left"><span>' +INFO_CHECK_BDOC.signatures[i]['signerCertificateSerial']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>Perfil de la firma:</b> </td>';
+            html1 += '<td style="text-align: left" ><span> '+INFO_CHECK_BDOC.signatures[i]['signatureProfile']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>Estado donde se realiza la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+(INFO_CHECK_BDOC.signatures[i]['signatureState']?INFO_CHECK_BDOC.signatures[i]['signatureState']:"Null")+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Algoritmo de firma utilizado:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signatureMethod']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Identificador de la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signatureId']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Emisor del certificado firmante:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signerCertificateIssuer']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Ciudad donde se realiza la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signatureCity']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Excepción de validación:</b> </td>';
+            html1 += '<td style="text-align: left"><span>signature' +INFO_CHECK_BDOC.signatures[i]['signatureId']+'ValidationException1</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>País donde se realiza la firma:</b> </td>';
+            html1 += '<td style="text-align: left" ><span> '+(INFO_CHECK_BDOC.signatures[i]['signatureCountry']?INFO_CHECK_BDOC.signatures[i]['signatureCountry']:"Null")+'</span></td>';
+            html1 += '</tr>';
+            html1 += '</table>';
+            html1 += '</font>';
+
+            $('div#Dialogo_Check-table').append(html1); 
+    }
+  }
+}
+
+function Dialog_VerificarBDOC(id){
+   document.getElementById("Dialogo_Check").innerHTML = '\
+    <style>\
+     .modal .modal-dialog { width: 80%; height: 80%, };\
+    </style>\
+       <div id="myModalVerificar" class="modal fade" role="dialog">\
+       <div class="modal-dialog">\
+         <div class="modal-content">\
+           <div id = "title" class="modal-header">\
+             <!--<button type="button" class="close" data-dismiss="modal">&times;</button>-->\
+             <h4 class="modal-title text-primary"><center>Información de la firma(S'+id+')</center></h4>\
+           </div>\
+           <div id = "body" class="modal-body">\
+             <br>\
+             <div id="Dialogo_Check-table"></div>\
+            </div>\
+            <div class="modal-footer">\
+              <button type="button" id="informacion" data-dismiss="modal">Close</button>\
+            </div>\
+          </div>\
+        </div>\
+    </div>';
+
+    InfoContentVerificarBDOC(id);
+  
+}
+
+
+function ColumnsDataTableBDOC(){
+     var columns = [
+                {title: "Nombre del firmante", data: "signerCertificateSubjectName"},
+                {title: "Fecha y hora de la firma", data: "signatureSigningTime"},         
+                {title: "Firma válida", data: "isValid"},
+                {title: "El certificado todavía está válido", data: "signerCertificateIsValid"},
+                {title: "Código postal", data: function(event){ 
+                                                        if(event.signaturePostalCode){
+                                                            return "signaturePostalCode";
+                                                        }else{
+                                                            return "Null";
+                                                        }
+                                                }
+                },                        
+                {title: "Serial del certificado del firmante", data: "signerCertificateSerial"},
+                {title: "Perfil de la firma", data: "signatureProfile"},                
+                {title: "Estado donde se realiza la firma", data: function(event){ 
+                                                                        if(event.signatureState){
+                                                                            return "signatureState";
+                                                                        }else{
+                                                                            return "Null";
+                                                                        }
+                                                                 }
+                },
+                {title: "Algoritmo de firma utilizado", data: "signatureMethod"},
+                {title: "Identificador de la firma", data: "signatureId"},
+                {title: "Emisor del certificado firmante", data: "signerCertificateIssuer"},
+                {title: "Ciudad donde se realiza la firma", data: "signatureCity"},
+                {title: "Excepción de validación", data: function(event){
+                                                          return "signature"+event.signatureId+"ValidationException1";
+                                                        }
+                },
+                {title: "País donde se realiza la firma", data: function(event){
+                                                                        if(event.signatureCountry){
+                                                                            return "signatureCountry";
+                                                                        }else{
+                                                                            return "Null";
+                                                                        }
+                                                                 }
+                },
+                {title:"Información", data: function (data){
+                                                var conten = JSON.stringify(data.signatureId).split("S");                                                                                            
+                                                return '<button id="informacion" type="input" class="btn btn-success btn-sm" data-toggle="modal" data-target="#myModalVerificar" onclick="javascript:Dialog_VerificarBDOC('+parseInt(conten[1])+')">Info(<font color="red">'+data.signatureId+'</font>)</button>';
+                                           } 
+                }
+    ];
+
+    return columns;
+
+}
+
+
+
+
+function DataTableVerificarBDOC(response){
+
+    var columns = ColumnsDataTableBDOC();
+    var table = $('#myCkeckBDOC').DataTable({    
+
+          language: {
+            "lengthMenu": "Mostrar _MENU_ registros",
+            "zeroRecords": "No hay resultados - Disculpe",
+            "info": "Mostrando pagina _PAGE_ de _PAGES_",
+            "search": "Buscar:", 
+            "infoEmpty": "No records available",
+            "infoFiltered": "(filtered from _MAX_ total records)",
+            "sLoadingRecords": "Cargando...",
+          },
+          columnDefs: [
+              {"className": "dt-center", "targets": "_all"}
+          ],                                  
+          order: [[ 1, 'desc' ]],       
+          data: response.signatures,
+          columns: columns,                           
+          dom: 'Bfrtip',
+          columnDefs: [
+              {                
+                "targets": [0,2,3,4,5,6,8,9,11,12 ],
+                "visible": false,
+                //"searchable": false
+              },
+           ],                           
+           buttons: [
+                {
+                    extend:    'pageLength',
+                    text:      'Mostrar Filas', 
+                    titleAttr: 'Mostrar Filas',
+                },
+                {
+                    extend:    'print',
+                    text:      'Imprimir',
+                    title:     'Contenido de la Firma',
+                    message:   'Datos de la Firma',
+                    titleAttr: 'Imprimir',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,7,8,9,10,11,12,13]
+                    } 
+                },
+                {
+                    extend:    'excelHtml5',
+                    text:      'XLXS',
+                    title:     'Contenido de la Firma',
+                    titleAttr: 'Excel',
+                    message: 'Datos de la Firma',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,7,8,9,10,11,12,13]
+                    }
+                },
+                {
+                    extend:    'csvHtml5',
+                    text:      'CSV',
+                    title:     'Contenido de la Firma',
+                    titleAttr: 'CSV',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,7,8,9,10,11,12,13]
+                    }
+                },
+                {
+                    extend:    'pdfHtml5',
+                    text:      'PDF',
+                    titleAttr: 'PDF',
+                    title:     'Contenido de la Firma',                    
+                    download: 'open',
+                    customize: function (doc){
+                       doc.defaultStyle.fontSize = 3;
+                       doc.styles.tableHeader.fontSize = 4;
+                       doc.styles.tableHeader.fillColor = "#0085a1";
+                    },
+                    //orientation: 'landscape',
+                    pageSize: 'A3',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,7,8,9,10,11,12,13]
+                    
+                    }
+                }                
+          ]           
+      });
+    
+    return table;
+
+}
Index: prototipo/static/js/functions/CheckSign/myInfoDataTableCheckPDF.js
===================================================================
--- prototipo/static/js/functions/CheckSign/myInfoDataTableCheckPDF.js	(revision 025e022ce78a448e7bb37ab6986e69662cb6da4b)
+++ prototipo/static/js/functions/CheckSign/myInfoDataTableCheckPDF.js	(revision 025e022ce78a448e7bb37ab6986e69662cb6da4b)
@@ -0,0 +1,265 @@
+
+function ColumnsDataTablePDF(){
+     var columns = [
+                {title: "Nombre del firmante", data: "nameOfTheSigner" },
+                {title: "Fecha en que se realiza la firma", data: "signedOn"},         
+                {title: "Chequea la integridad de la firma", data: "integrityCheck"},
+                {title: "El certificado todavía está válido", data: "signerCertificateStillValid"},
+                {title: "Fecha de inicio de validez del certificado", data: "signerCertificateValidFrom"},                        
+                {title: "Fecha de fin de validez del certificado", data: "signerCertificateValidTo"},
+                {title: "El certificado es válido en el momento de la firma", data: "signerCertificateValidAtTimeOfSigning"},                
+                {title: "Tipo de firma de archivo PDF", data: "signatureType"},
+                {title: "Estampilla de tiempo", data: "timeStamp"},
+                {title: " Razón de la firma", data: "reason"},
+                {title: "Ubicación donde se realiza la firma", data: "location"},
+                {title: "Nombre alternativo del firmante", data: "alternativeNameOfTheSigner"},
+                {title: "La firma abarca todo el documento PDF", data: "signatureCoversWholeDocument"},
+                {title: "Tipo de subfiltro: /adbe.pkcs7.sha1, /adbe.pkcs7.detached", data: "filterSubtype"},
+                {title: "Sujeto firmante", data: "signerCertificateSubject"},
+                {title: "Algoritmo de cifrado", data: "encryptionAlgorithm"},
+                {title: "Servicio de estampillado de tiempo", data: "timeStampService"},
+                {title: "Algoritmo hash (reseña)", data: "digestAlgorithm"},
+                {title: "Certificado verificado contra el repositorio de certificados confiables", data: "certificatesVerifiedAgainstTheKeyStore"},
+                {title: "Número de revisión del documento PDF", data: "documentRevision"},
+                {title: "Número total de revisiones del documento PDF", data: "totalDocumentRevisions"},
+                {title: "Información de contacto del firmante", data: "contactInfo", style:"width: 2px;"},
+                {title: "Estampilla de tiempo verificada", data: "timeStampVerified"},
+                {title: "Emisor del certificado firmante", data: "signerCertificateIssuer"},
+                {title:"Información", data: function(event){
+                                                return '<button id="informacion" type="input" class="btn btn-success btn-sm" data-toggle="modal" data-target="#myModalVerificar" onclick="javascript:Dialog_Verificar('+event.documentRevision+')">Info(<font color="red">'+event.documentRevision+'</font>)</button>';
+                                           } 
+                }
+    ];
+
+    return columns;
+
+}
+
+
+function InfoContentVerificar(id){
+  
+  for (var i = 0; i < INFO_CHECK.signatures.length; i++) {
+    if (parseInt(INFO_CHECK.signatures[i]['documentRevision']) == parseInt(id)){
+
+            var html1 = "";  
+
+            html1 += '<font style="font-size: 14pt">';
+            html1 += '<table  class="table table-hover" width="100%" id="data" >';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" width="700"><b>Nombre del firmante:</b> </td>';
+            html1 += '<td style="text-align: left" width="500"><span> '+INFO_CHECK.signatures[i]['nameOfTheSigner']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Fecha en que se realiza la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['signedOn']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Chequea la integridad de la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['integrityCheck']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>El certificado todavía está válido:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['signerCertificateStillValid']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Fecha de fin de validez del certificado:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['signerCertificateValidFrom']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Fecha de fin de validez del certificado:</b> </td>';
+            html1 += '<td style="text-align: left"><span>' +INFO_CHECK.signatures[i]['signerCertificateValidTo']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>El certificado es válido en el momento de la firma:</b> </td>';
+            html1 += '<td style="text-align: left" ><span> '+INFO_CHECK.signatures[i]['signerCertificateValidAtTimeOfSigning']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>Tipo de firma de archivo PDF:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['signatureType']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Estampilla de tiempo:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['timeStamp']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Razón de la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['reason']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Ubicación donde se realiza la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['location']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Nombre alternativo del firmante:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['alternativeNameOfTheSigner']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>La firma abarca todo el documento PDF:</b> </td>';
+            html1 += '<td style="text-align: left"><span>' +INFO_CHECK.signatures[i]['signatureCoversWholeDocument']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>Tipo de subfiltro: /adbe.pkcs7.sha1, /adbe.pkcs7.detached:</b> </td>';
+            html1 += '<td style="text-align: left" ><span> '+INFO_CHECK.signatures[i]['filterSubtype']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Sujeto firmante:</b> </td>';
+            html1 += '<td style="text-align: left"><span><font style="font-size: 8pt">' +INFO_CHECK.signatures[i]['signerCertificateSubject']+'</font></span></td>';
+            html1 += '</tr>';
+            html1 += '<td style="text-align: left" ><b>Algoritmo de cifrado:</b> </td>';
+            html1 += '<td style="text-align: left" ><span> '+INFO_CHECK.signatures[i]['encryptionAlgorithm']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>Servicio de estampillado de tiempo:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['timeStampService']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Algoritmo hash (reseña):</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['digestAlgorithm']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Certificado verificado contra el repositorio de certificados confiables:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['certificatesVerifiedAgainstTheKeyStore']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Número de revisión del documento PDF:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['documentRevision']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Número total de revisiones del documento PDF:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK.signatures[i]['totalDocumentRevisions']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Información de contacto del firmante:</b> </td>';
+            html1 += '<td style="text-align: left"><span>' +INFO_CHECK.signatures[i]['contactInfo']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>Estampilla de tiempo verificada:</b> </td>';
+            html1 += '<td style="text-align: left" ><span> '+INFO_CHECK.signatures[i]['timeStampVerified']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Emisor del certificado firmante:</b> </td>';
+            html1 += '<td style="text-align: left"><span><font style="font-size: 8pt">' +INFO_CHECK.signatures[i]['signerCertificateIssuer']+'</font></span></td>';
+            html1 += '</tr>';;
+            html1 += '</table>';
+            html1 += '</font>';
+
+            $('div#Dialogo_Check-table').append(html1); 
+    }
+  }
+}
+
+function Dialog_Verificar(id){
+   document.getElementById("Dialogo_Check").innerHTML = '\
+    <style>\
+     .modal .modal-dialog { width: 80%; height: 80%, };\
+    </style>\
+       <div id="myModalVerificar" class="modal fade" role="dialog">\
+       <div class="modal-dialog">\
+         <div class="modal-content">\
+           <div id = "title" class="modal-header">\
+             <!--<button type="button" class="close" data-dismiss="modal">&times;</button>-->\
+             <h4 class="modal-title text-primary"><center>Información de la firma('+id+')</center></h4>\
+           </div>\
+           <div id = "body" class="modal-body">\
+             <br>\
+             <div id="Dialogo_Check-table"></div>\
+            </div>\
+            <div class="modal-footer">\
+              <button type="button" id="informacion" data-dismiss="modal">Close</button>\
+            </div>\
+          </div>\
+        </div>\
+    </div>';
+
+    InfoContentVerificar(id);
+  
+}
+
+
+
+
+function DataTableVerificarPDF(response){
+
+    var columns = ColumnsDataTablePDF();
+    var table = $('#myCkeckPDF').DataTable({                          
+          language: {
+            "lengthMenu": "Mostrar _MENU_ registros",
+            "zeroRecords": "No hay resultados - Disculpe",
+            "info": "Mostrando pagina _PAGE_ de _PAGES_",
+            "search": "Buscar:", 
+            "infoEmpty": "No records available",
+            "infoFiltered": "(filtered from _MAX_ total records)"
+          },                       
+          order: [[ 1, 'desc' ]],       
+          data: response.signatures,
+          columns: columns,                           
+          dom: 'Bfrtip',
+          columnDefs: [
+              {
+                
+                "className": "dt-center",
+                "targets": [ 2,3,4,5,6,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23 ],
+                "visible": false,
+                //"searchable": false
+              },
+              
+           ],                           
+           buttons: [
+                {
+                    extend:    'pageLength',
+                    text:      'Mostrar Filas', 
+                    titleAttr: 'Mostrar Filas',
+                },
+                {
+                    extend:    'print',
+                    text:      'Imprimir',
+                    title:     'Contenido de la Firma',
+                    message:   'Datos de la Firma',
+                    titleAttr: 'Imprimir',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23]
+                    } 
+                },
+                {
+                    extend:    'excelHtml5',
+                    text:      'XLXS',
+                    title:     'Contenido de la Firma',
+                    titleAttr: 'Excel',
+                    message: 'Datos de la Firma',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23]
+                    }
+                },
+                {
+                    extend:    'csvHtml5',
+                    text:      'CSV',
+                    title:     'Contenido de la Firma',
+                    titleAttr: 'CSV',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23]
+                    }
+                },
+                {
+                    extend:    'pdfHtml5',
+                    text:      'PDF',
+                    titleAttr: 'PDF',
+                    title:     'Contenido de la Firma',                    
+                    download: 'open',
+                    customize: function (doc){
+                       doc.defaultStyle.fontSize = 3;
+                       doc.styles.tableHeader.fontSize = 4;
+                       doc.styles.tableHeader.fillColor = "#0085a1";
+                    },
+                    //orientation: 'landscape',
+                    pageSize: 'A3',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23]
+                    
+                    }
+                }                
+          ]           
+      });
+
+    return table;
+
+}
Index: prototipo/static/js/functions/firmarDocumentoBDOC.js
===================================================================
--- prototipo/static/js/functions/firmarDocumentoBDOC.js	(revision 025e022ce78a448e7bb37ab6986e69662cb6da4b)
+++ prototipo/static/js/functions/firmarDocumentoBDOC.js	(revision 025e022ce78a448e7bb37ab6986e69662cb6da4b)
@@ -0,0 +1,205 @@
+function FinalizarFirmaBDOC(){
+
+
+    		$.ajax({
+				type: 'POST',
+				contentType: 'application/json',
+				//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs/resenas",
+				//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs/firmas/post",
+				url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/bdocs/firmas/post",
+				dataType: 'json',
+				data: JSON.stringify({"signature":signature.hex, "containerId":fileId}),
+				headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
+				success: function(data, textStatus, jqXHR){
+					/*
+					var json_x = data;
+					var msg = json_x['message'];												
+					alert('Archivo firmado en el servidor: ' + msg);
+					*/
+					alert('Archivo firmado correctamente: ' + data['signedFileId']);
+					
+					//alert("ver respuesta");
+					//var linkToDownload = "<a href=\"https://192.168.12.125:8443/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>"; 
+					//var linkToDownload = "<a href=\"https://172.16.137.11:8443/Murachi/murachi/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
+					var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
+					//alert(linkToDownload);
+					document.getElementById("respuesta").innerHTML = linkToDownload;  
+					
+					
+
+																	
+					
+				},
+				error: function(jqXHR, textStatus, errorThrown){
+					alert('error en /bdocs/resenas: ' + textStatus);
+					$("#respuesta").html("error en /bdocs/resenas: " + textStatus);
+				}
+			});
+						        			
+
+}
+
+
+// ahora llamar al ajax de obtener la resena del bdoc
+function ObtenerHashPDFServerBDOC(parameters, cert, fileId){	
+
+	$.ajax({
+		type: 'POST',
+		contentType: 'application/json',				
+		//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs",
+		//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs/firmas/pre",
+		url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/bdocs/firmas/pre",
+		dataType: "json",
+		data: parameters,
+		headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
+		success: function(data, textStatus, jqXHR){
+			var json_x = data;
+			var hash = json_x['hash']; 
+			//alert("hash recibido del servidor "+hash);
+			
+			var hashtype = "SHA-256";
+			var lang = "eng";
+			
+			window.hwcrypto.sign(cert, {type: hashtype, hex: hash}, {lang: lang}).then(function(signature) {
+				
+				//var signature = response.hex.match(/.{1,64}/g).join("\n");
+        		//log_text("Generated signature:\n" + response.hex.match(/.{1,64}/g).join("\n"));
+        		//log_text("Generated signature:\n" + signature.hex);
+        		
+        		//alert("valor de la firma: " + signature.hex);						        		
+        		FinalizarFirmaBDOC(signature.hex, fileId);
+
+      			}, function(err) {
+	        		log_text("sign() failed: " + err);
+	        		//alert("sign() failed: " + err);
+                                                        var error;
+					if(err == "Error: user_cancel") {
+				    alert("sign() failed: El usuario cancelo la operación");
+				    error = "El usuario cancelo la operación"; 
+				}      
+				else if(err == "Error: no_certificates") {
+				    alert("sign() failed: No hay certificado disponible");
+				    error = "No hay certificado disponible";
+				}
+				else if(err == "Error: no_implementation") {
+				    alert("sign() failed: No hay soporte para el manejo del certificado");
+				    error = "No hay soporte para el manejo del certificado";
+				}	
+
+	        		$("#respuesta").html("sign() failed: " + error);
+    	  	});
+			
+		},								
+		error: function(jqXHR, textStatus, errorThrown){
+			//alert('error: ' + textStatus);
+			//var responseText = jQuery.parseJSON(jqXHR.responseText);
+			alert('ajax error function: ' + jqXHR.responseText);
+			$("#respuesta").html("error function: " + jqXHR.responseText);
+		}
+		
+	});
+
+}
+
+// Obtenemos el certificado Bdoc
+function ObtenerCertificadoFirmanteBDOC(response){
+
+	// identificador del archivo en el servidor
+	var fileId = response.containerId.toString();
+	
+	// seleccionar certificado del firmante
+	var cert;
+	window.hwcrypto.getCertificate({lang: "en"}).then(
+		function(response) {
+	  		var cert = response;			
+			var parameters = JSON.stringify({
+				"fileId":fileId,
+				"certificate":cert.hex,
+				"city":"Merida",
+				"state":"Merida",
+				"postalCode":"5101",
+				"country":"Venezuela",
+				"role":"Analista",
+				"addSignature":false
+				});
+			
+			// ahora llamar al ajax de obtener la resena del pdf
+			ObtenerHashPDFServerBDOC(parameters, cert, fileId);	
+		}, 
+		function(err) {
+  			log_text("getCertificate() failed: " + err);
+			var error;
+			if(err == "Error: user_cancel") {
+			    alert("getCertificate() failed: El usuario cancelo la operación");
+			    error = "El usuario cancelo la operación"; 
+			}      
+			else if(err == "Error: no_certificates") {
+			    alert("getCertificate() failed: No hay certificado disponible");
+			    error = "No hay certificado disponible";
+			}
+			else if(err == "Error: no_implementation") {
+			    alert("getCertificate() failed: No hay soporte para el manejo del certificado");
+			    error = "No hay soporte para el manejo del certificado";
+			}
+			$("#respuesta").html("getCertificate() failed: " + error);
+		});
+							
+
+}
+
+// Primer paso subimos documentos al servidor
+function SubirDocumentServerBdoc(formData){
+    
+    $.ajax({
+        //url: "https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs/cargas",
+        url: "https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/bdocs/cargas",
+        type: "post",
+        dataType: "json",
+        data: formData,
+        cache: false,
+        contentType: false,
+		processData: false,
+		headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
+		success: function(response) {			
+			ObtenerCertificadoFirmanteBDOC(response);
+
+    	},     	
+        error: function(xhr, status, error) {
+     		//Que se ejecuta cuando finalice la petición de con error
+			$("#respuesta").html('Error...!!!');
+     		
+			alert(xhr.responseText);
+			alert(error);
+     		
+			alert("ocurrio un error en cargas");     		             		
+		}
+    });
+}
+
+
+$("#Form-sign-bdoc").on('submit', function(event) {
+	event.preventDefault();
+
+	var formData = new FormData(); 
+
+    for (var i=0; i<$("#file-sign-bdoc")[0].files.length; i++){
+		formData.append("upload", $("#file-sign")[0].files[i]);
+	}	
+    
+    SubirDocumentServerBdoc(formData);
+
+});
+
+
+
+$("#button_SignBDOC").on('click', function() {
+	$("#file-sign-bdoc").trigger('click');
+
+});
+
+
+$("#file-sign-bdoc").on('change', function() {
+
+	$("#sign_bdoc").show();
+
+});
Index: prototipo/static/js/functions/firmarDocumentoPdf.js
===================================================================
--- prototipo/static/js/functions/firmarDocumentoPdf.js	(revision 68a964b128af4810e77ce8b5647cbb8f05daacc6)
+++ prototipo/static/js/functions/firmarDocumentoPdf.js	(revision 025e022ce78a448e7bb37ab6986e69662cb6da4b)
@@ -44,5 +44,5 @@
 			}	
 
-			$('#myJson').show();
+			$('#myJson_wrapper').show();
         },
         error: function(jqXHR, textStatus, errorThrown){
@@ -154,16 +154,29 @@
 		function(response) {
 	  		var cert = response;
-			var parameters = JSON.stringify({
-				"fileId":fileId,
-				"certificate":cert.hex,
-				"reason":"Certificado",
-				"location":"CENDITEL",
-				"contact":"582746574336",
-				"signatureVisible":"true"
-				//"page": VALOR_PAGE,
-				//"coord_x": VALOR_X,
-				//"coord_y": VALOR_Y
-				});
-
+	  		var parameters = "";
+
+	  		if (FIRMA_VISIBLE == true){  		
+				parameters = JSON.stringify({
+					"fileId":fileId,
+					"certificate":cert.hex,
+					"reason":"Certificado",
+					"location":"CENDITEL",
+					"contact":"582746574336",
+					"signatureVisible":"true"
+					//"page": VALOR_PAGE,
+					//"coord_x": VALOR_X,
+					//"coord_y": VALOR_Y
+					});
+			}
+			else{
+				parameters = JSON.stringify({
+					"fileId":fileId,
+					"certificate":cert.hex,
+					"reason":"Certificado",
+					"location":"CENDITEL",
+					"contact":"582746574336",
+					"signatureVisible":"true"
+					});				
+			}
 			// ahora llamar al ajax de obtener la resena del pdf
 			ObtenerHashPDFServer(parameters, cert);	
@@ -231,4 +244,5 @@
 	
 	$('#myJson').hide();
+	FIRMA_VISIBLE = true;
 	SubirDocumentServer(formData);
 	
Index: prototipo/static/js/functions/firmarDocumentoPdfNoVisible.js
===================================================================
--- prototipo/static/js/functions/firmarDocumentoPdfNoVisible.js	(revision 68a964b128af4810e77ce8b5647cbb8f05daacc6)
+++ prototipo/static/js/functions/firmarDocumentoPdfNoVisible.js	(revision 025e022ce78a448e7bb37ab6986e69662cb6da4b)
@@ -8,4 +8,5 @@
 
 	$("#pdf-main-container").hide();
+	FIRMA_VISIBLE = false;
 	SubirDocumentServer(formData);
 
